Bug 246478 - mail/mutt: does not build, perl not found
Summary: mail/mutt: does not build, perl not found
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 246559
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-15 05:48 UTC by Victor Sudakov
Modified: 2020-05-19 07:03 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback+


Attachments
A fresh poudriere build log (89.74 KB, text/plain)
2020-05-15 05:48 UTC, Victor Sudakov
no flags Details
Same eror in an amd64 jail (89.91 KB, text/plain)
2020-05-15 07:09 UTC, Victor Sudakov
no flags Details
make perl full build dep and rename DEBUG (3.27 KB, patch)
2020-05-16 05:25 UTC, Derek Schrock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Sudakov 2020-05-15 05:48:30 UTC
Created attachment 214513 [details]
A fresh poudriere build log

perl not found.

Making all in doc
sed -e 's,@sysconfdir\@,/usr/local/etc,g'  -e 's,@bindir\@,/usr/local/bin,g'  -e 's,@docdir\@,/usr/local/share/doc/mutt,g' ./mutt.man > mutt.1
sed -e 's,@sysconfdir\@,/usr/local/etc,g'  -e 's,@bindir\@,/usr/local/bin,g'  -e 's,@docdir\@,/usr/local/share/doc/mutt,g' ./smime_keys.man > smime_keys.1
cpp -I. -I.. -I/usr/local/include -I.. -DSYSCONFDIR=\"/usr/local/etc\" -DBINDIR=\"/usr/local/bin\" -DHAVE_CONFIG_H=1 -I/usr/include  -I/usr/include -I/usr/local/include -I/usr/local/include -I../intl -I/usr/local/include -D_MAKEDOC -C ../init.h | perl ./makedoc.pl -m | 	     cat ./muttrc.man.head - ./muttrc.man.tail > muttrc.man
/bin/sh: perl: not found
rm -f Muttrc stamp-doc-rc
sed -e 's,[@]docdir[@],/usr/local/share/doc/mutt,' ./Muttrc.head > Muttrc
cpp -I. -I.. -I/usr/local/include -I.. -DSYSCONFDIR=\"/usr/local/etc\" -DBINDIR=\"/usr/local/bin\" -DHAVE_CONFIG_H=1 -I/usr/include  -I/usr/include -I/usr/local/include -I/usr/local/include -I../intl -I/usr/local/include -D_MAKEDOC -C  ../init.h | perl ./makedoc.pl -c >> Muttrc
/bin/sh: perl: not found
*** Error code 127

Stop.
make[3]: stopped in /wrkdirs/usr/ports/mail/mutt/work/mutt-1.14.0/doc
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/mail/mutt/work/mutt-1.14.0
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/mail/mutt/work/mutt-1.14.0
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/mutt
=>> Cleaning up wrkdir
===>  Cleaning for mutt-1.14.0
build of mail/mutt | mutt-1.14.0 ended at Fri May 15 06:15:19 +07 2020
build time: 00:01:02
!!! build failure encountered !!!
Comment 1 Derek Schrock 2020-05-15 06:27:31 UTC
So I guess we need to make perl a build time dep. since we're rebuilding some of the docs/man.  Looking thru some of the docs looks like those need some TLC too.  I should be able to fix.

However, if you want 1.14.0 right now if you enable HCACHE_BDB it will pull in perl as a build dep and build the altered docs with the new makedoc.
Comment 2 Victor Sudakov 2020-05-15 07:09:53 UTC
Created attachment 214514 [details]
Same eror in an amd64 jail
Comment 3 Victor Sudakov 2020-05-15 07:12:55 UTC
(In reply to Derek Schrock from comment #1)
>  if you want 1.14.0 right now if you enable HCACHE_BDB
> it will pull in perl as a build dep and build the altered docs with the new 
makedoc.

I'm actually avoiding BDB, so I'll probably just set DOCS=off for now.
Comment 4 Kamigishi Rei 2020-05-15 20:40:15 UTC
(In reply to Victor Sudakov from comment #3)
DOCS=off does not help, it still needs Perl.
Comment 5 Derek Schrock 2020-05-16 05:25:22 UTC
Created attachment 214542 [details]
make perl full build dep and rename DEBUG

- Make perl5 a full build dep. Anything that will touch init.h will
  force a rebuild of Muttrc.  Unless if we want to disable (remove?)
  all feature patches we'll need perl during build. 
- By request rename DEBUG
Comment 6 Derek Schrock 2020-05-16 05:57:57 UTC
I think if we make files/patch-smime-sender optional it seem that maybe perl build dep could be moved back to just hcache.
Comment 7 Victor Sudakov 2020-05-16 13:04:14 UTC
(In reply to Derek Schrock from comment #5)
The patch worked, thank you.
Comment 8 Derek Schrock 2020-05-16 19:38:49 UTC
Comment on attachment 214542 [details]
make perl full build dep and rename DEBUG

1.14.1 was just released so I'll roll any fixes in to that.  However, you can still use this patch to fix the current problem.
Comment 9 Kurt Jaeger freebsd_committer 2020-05-19 07:03:32 UTC
See PR#246559 for the fix.